{% extends "base.html" %}
{% load staticfiles %}
{% load static %}
{% block css %} 
    <link rel="stylesheet" type="text/css" href="{% static 'css/lab_5.css' %}" />

{% endblock %}
{% block title %} Lab-5 by Nurul Aisyah{% endblock %}
{% block header %} {% include "lab_5/partials/header.html" %}  {% endblock %}

{% block content %}
<h1 class="main-title">TODOLIST</h1>
<hr/>
<section name="input-list" id="input-list">
    <div class="container">
        <form id="form" method="POST" action="{% url 'lab-5:add_todo' %}">
            <h2>Input Todo</h2>
            {% csrf_token %}
            {{ todo_form }}
            <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
            <br>
        </form>
    </div>
</section>
<section name="my-list" id="my-list">
    <div class="container">
        <h2 class="my-list-title">My List</h2>
        <div class="flex">
            {% if todo %}
                {% for data in todo %}
                    <div class="flex-item">
                        <div class="to-do-list">
                            <div class="to-do-list-title">
                                {{data.title}}
                            </div>
                            <div class="to-do-list-date-added">
                                {{data.created_date}}
                            </div>
                            <div class="to-do-list-description">
                                {{data.description}}
                            </div>
                            <div class="to-do-list-delete">
                                <div class="to-do-list-delete-button" data-id="{{data.id}}" >Delete</div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Oops!</strong> Tidak ada data Todo.
            </div>
            {% endif %}
        </div>
    </div>
</section>

{% endblock %}        

{% block javascripts %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script type="text/javascript">
    $(function() {
          $('a[href*="#"]:not([href="#"])').click(function() {
            if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
              var target = $(this.hash);
              target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
              if (target.length) {
                $('html, body').animate({
                  scrollTop: target.offset().top - 55
                }, 1000);
                return false;
              }
            }
          });
        });
    $(".to-do-list-delete-button").on("click", function(e) {
            console.log($(this).data('id'));
            var data_id = $(this).data('id');
            location.href="delete_todo/" + data_id;
        });


</script>
{% endblock %}